> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentmod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Queue Item



## OpenAPI

````yaml POST /queues/{queueId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: ContentMod Api
servers:
  - url: https://api.contentmod.io
security: []
paths:
  /queues/{queueId}:
    post:
      requestBody:
        description: image
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - text
                    - image
                  description: Type of content to moderate
                  example: text
                content:
                  type: string
                  description: >-
                    The content to moderate. Can either be a text, url or base64
                    encoded image
                  example: This is a very cool api
                meta:
                  type: object
                  properties: {}
                  description: Any metadata you want to store with the content
                  example: '{}'
                actorId:
                  type: string
                  description: An ID of a user that is performing an action in your system
                  example: '123'
              required:
                - type
                - content
      responses:
        '200':
          description: Response of the created queue item
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                    enum:
                      - processing
                      - pending
                required:
                  - id
                  - status
        '404':
          description: Queue not found
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````